.footer {
  margin-top: auto;

  &__container {
    padding-bottom: 28px;
  }

  &__columns {
    display: flex;
    justify-content: space-between;
    gap: 32px;
  }

  &__column {
    width: 100%;
  }

  &__column:nth-child(1) {
    max-width: 314px;
    padding-bottom: 48px;
  }

  &__column:nth-child(2) {
    max-width: 334px;
  }

  &__column:nth-child(3) {
    max-width: 249px;
  }

  &__column-header {
    font-family: inherit;
    font-weight: 700;
    font-size: 14px;
    line-height: 18px;
    margin-bottom: 10px;
  }

  &__column-text {
    font-size: 11px;
    line-height: 18px;
    letter-spacing: 0.03em;
  }

  &__contacts-list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 15px;
    padding: 0;
    margin: 0;
  }

  &__contact-header {
    font-weight: 600;
    font-size: 12.0026px;
    line-height: 15px;
  }

  &__contact-address {
    font-size: 12.0026px;
    line-height: 15px;
  }

  &__contact-phone {
    font-size: 12.0026px;
    line-height: 18px;
    color: inherit;
    text-decoration: none;
  }

  &__payments-list {
    margin: -32px 0 0;
    padding: 0;
    list-style: none;
    display: flex;
    gap: 20px;
  }

  &__payments-list-item {
    display: flex;
  }

  &__payment {
    width: 72px;
    display: block;
  }

  &__bottom {
    background-color: black;
  }

  &__bottom-container {
    font-weight: 400;
    font-size: 9.00193px;
    line-height: 11px;
    display: flex;
    justify-content: space-between;
    padding: 10px 0;
  }

  &__copyright {
    position: relative;
    z-index: 1;
  }

  &__developed-by {
    position: relative;
    z-index: 1;
  }

  @media screen and (max-width: 1230px - 200px) {

    &__column:nth-child(1) {
      max-width: none;
      padding-top: 10px;
      padding-bottom: 0;
    }

    &__column:nth-child(2) {
      max-width: none;
    }

    &__column:nth-child(3) {
      max-width: none;
    }

    &__columns {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }

    &__payments-list {
      margin-top: 25px;
    }
  }

  @media screen and (max-width: 576px) {

    &__column {
      max-width: none !important;
    }

    &__columns {
      flex-direction: column;
    }

    &__payments {
      gap: 19px;
    }

    &__payment {
      width: 100%;
    }

    &__column-header {
      font-weight: 700;
      font-size: 16px;
      line-height: 20px;
      letter-spacing: 0.03em;
    }

    &__column-text {
      font-weight: 500;
      font-size: 12px;
      line-height: 20px;
      letter-spacing: 0.03em;
    }

    &__contacts-list {
      list-style: none;
      display: flex;
      flex-direction: column;
      gap: 15px;
      padding: 0;
      margin: 0;
    }

    &__contact-header {
      font-weight: 700;
      font-size: 12px;
      line-height: 22px;
      letter-spacing: 0.03em;
      margin-top: 15px;
    }

    &__contact-address {
      font-weight: 500;
      font-size: 12px;
      line-height: 22px;
      letter-spacing: 0.03em;
    }

    &__contact-phone {
      font-weight: 500;
      font-size: 12px;
      line-height: 22px;
      letter-spacing: 0.03em;
    }

    &__bottom-container {
      display: flex;
      justify-content: space-between;
      padding: 10px 0;
      font-size: 10px;
      line-height: 19px;
    }

    &__container {
      padding-bottom: 30px;
    }
  }
}